Bug 800203 - The Evolution will lost connection to the Exchange server after a while
The Evolution will lost connection to the Exchange server after a while
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 18:16 EST by Arnold Wang
Modified: 2013-02-13 11:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:40:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screen shot shows the Evolution tries to pull mail while there is no traffics between server and client (157.29 KB, image/jpeg)
2012-03-05 18:16 EST, Arnold Wang
no flags Details

  None (edit)
Description Arnold Wang 2012-03-05 18:16:10 EST
Created attachment 567782 [details]
The screen shot shows the Evolution tries to pull mail while there is no traffics between server and client

Description of problem:
I'm using evolution-mapi connects to Exchange server via VPN. When I first started Evolution, it connects to the server fine, it pulls email, meetings, etc. However it will loose connection to the server after a while, the Evolution shows it try to retrieve the message, however Wireshark shows no communication between the server and client at all.  

Version-Release number of selected component (if applicable):
[awang@mars ~]$ rpm -qa | grep evolu
evolution-NetworkManager-3.2.3-1.fc16.x86_64
evolution-help-3.2.3-1.fc16.noarch
evolution-mapi-3.2.3-1.fc16.x86_64
evolution-data-server-3.2.3-2.fc16.x86_64
evolution-3.2.3-1.fc16.x86_64


How reproducible:
Start the Evolution and let it run

Steps to Reproduce:
1. Start the Evolution
2. Let it run
3.
  
Actual results:
It will loose connection to the Exchange server.

Expected results:
It will continue connect to the server.

Additional info:
I am told the Exchange server is 2010.
Comment 1 Milan Crha 2012-03-06 07:53:51 EST
Thanks for a bug report. Could you check in what state the evolution itself is, please? There can be some reasons, the last I recall, which was fixed before 3.2.x, was with left opened connections against the server in e-addressbook-factory process, which, afterwards, made subsequent connections failing. To get the backtrace, install debuginfo packages for openchange, samba4, evolution-data-server, evolution and evolution-mapi, and then invoke command like this:
   $ gdb --batch --ex "t a a bt" -pid=PID &>bt.txt
where PID is a process ID of running evolution (ps ax | grep evolution).

To get list of opened files use command like this:
   $ lsof -p PID | grep exchange | wc -l
where PID is process ID of running evolution, e-calendar-factory and e-addressbook-factory, because all these three together can make the server reject any new connection requests, due to opened too many connections against the server. The 'exchange' for grep is meant as part of the server domain/address, most likely as filled in evolution's mail MAPI account. The "wc -l" at the end counts lines matching the grep. Feel free to avoid it at the beginning, to confirm the grep filters correct connections.
Comment 2 Arnold Wang 2012-03-06 19:04:40 EST
Thanks for the response. I will try to spend some time this weekend to gather the debug info you're looking for. For now, I have to switch to Davmail based solution to have a working system again.
Comment 3 Fedora End Of Life 2013-01-16 10:18:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:40:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.